package com.sooka.system.service.impl;

import java.util.List;

import com.sooka.common.annotation.DataSource;
import com.sooka.common.core.text.Convert;
import com.sooka.common.enums.DataSourceType;
import com.sooka.framework.util.ShiroUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.sooka.system.mapper.TgjjZcxxMapper;
import com.sooka.system.domain.TgjjZcxx;
import com.sooka.system.service.ITgjjZcxxService;

/**
 * 政策信息Service业务层处理
 *
 * @author lei
 * @date 2021-11-16
 */
@Service
public class TgjjZcxxServiceImpl extends Guiji_Base_Service implements ITgjjZcxxService
{
    @Autowired
    private TgjjZcxxMapper tgjjZcxxMapper;

    /**
     * 查询政策信息
     *
     * @param ID 政策信息ID
     * @return 政策信息
     */
    @Override
    public TgjjZcxx selectTgjjZcxxById(Long ID)
    {
        return tgjjZcxxMapper.selectTgjjZcxxById(ID);
    }

    /**
     * 查询政策信息列表
     *
     * @param tgjjZcxx 政策信息
     * @return 政策信息
     */
    @Override
    public List<TgjjZcxx> selectTgjjZcxxList(TgjjZcxx tgjjZcxx)
    {
        List ls = tgjjZcxxMapper.selectTgjjZcxxList(tgjjZcxx);
        tgjjZcxx.setInterfaceinfoId("2e08555a-bfb4-404f-abd4-9031e5998b8f");
        tgjjZcxx.setInterfaceinfoName("共享-市公积金-政策信息");
        tgjjZcxx.setInterfacetype("platform_interfacetype_1");
        Long deptId = ShiroUtils.getSysUser().getDept().getDeptId();
        String deptName = ShiroUtils.getSysUser().getDept().getDeptName();
        tgjjZcxx.setDeptId(deptId);
        tgjjZcxx.setDeptName(deptName);
        add_log(tgjjZcxx);
        return ls;
    }

    /**
     * 新增政策信息
     *
     * @param tgjjZcxx 政策信息
     * @return 结果
     */
    @Override
    public int insertTgjjZcxx(TgjjZcxx tgjjZcxx)
    {
        return tgjjZcxxMapper.insertTgjjZcxx(tgjjZcxx);
    }

    /**
     * 修改政策信息
     *
     * @param tgjjZcxx 政策信息
     * @return 结果
     */
    @Override
    public int updateTgjjZcxx(TgjjZcxx tgjjZcxx)
    {
        return tgjjZcxxMapper.updateTgjjZcxx(tgjjZcxx);
    }

    /**
     * 删除政策信息对象
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteTgjjZcxxByIds(String ids)
    {
        return tgjjZcxxMapper.deleteTgjjZcxxByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除政策信息信息
     *
     * @param ID 政策信息ID
     * @return 结果
     */
    @Override
    public int deleteTgjjZcxxById(Long ID)
    {
        return tgjjZcxxMapper.deleteTgjjZcxxById(ID);
    }
}
